<!-- Menu Top -->
<div id='prowhy-topnavbar' class='navbar navbar-expand-lg'>
    <div class="container-fluid">
        <div id='navbarLeftContent'>
            <button type="button" id="sidebarCollapse" class="btn btn-outline-dark icon-btn btn-navbar">
                <i class="fas fa-align-justify"></i>
            </button>
            <%= home_link %>
        </div>

        <div>
            <button class="btn btn-outline-dark icon-btn btn-navbar d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-align-justify"></i>
            </button>
        </div>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- <ul class="nav navbar-nav">
                <li class="nav-item">
                    <%#= home_link %>
                </li>
            </ul> -->
            <ul class="nav navbar-nav menu-zone">
                <li class="nav-item active">
                    <%= link_to fa_icon('info-circle'), edit_rca_path(@rca), id: "btn-edit-rca", class: "btn btn-outline-dark icon-btn btn-navbar #{active_for_helper(path: edit_rca_path(@rca))}" %>

                    <%= content_tag(:a, tabindex: '0', role: 'button', id: "btn-edit-rca-modify",
                                    'data-toggle': 'popover-html',
                                    title: t('infos.rca-edit.title'), 'data-content': t('infos.rca-edit.content'),
                                    'data-trigger': 'focus',
                                    class: 'btn-help btn btn-outline-dark icon-btn btn-menu-active btn-navbar-except-for-info rca-form-changed',
                                    style: "display: none") do
                          fa_icon_info('icon-orange').html_safe
                        end
                    %>


                    <%#= link_to fa_icon('list-ul'), '#', class: 'btn' %>
                    <%#= link_to 'Posts', posts_path, class: 'nav-link' %>
                    <% step = @rca&.methodology&.step_trstools %>
                    <% if step && RcaPolicy.new(current_user, @rca).rca_show_step?(step)
                    %>
                        <% @rca&.methodology&.step_trstools&.step_tools&.includes(:tool)&.each do |step_tool| %>
                            <%= link_to step_menu_trs_name_show(step_tool),
                                        meth_step_tool_show_path(id: step_tool, rca: @rca),
                                        title: step_tool.name,
                                        class: "btn btn-outline-dark icon-btn btn-navbar #{active_for_tools_helper(step_tool)} "
                            %>
                        <% end %>
                    <%
                      # rescue Exception => e
                      end
                    %>

                    <%#= link_to fa_icon('edit'), '#', class: 'btn' %>
                    <%#= link_to fa_icon('chart-bar'), '#', class: 'btn' %>
                    <%#= link_to fa_icon('image'), '#', class: 'btn' %>
                </li>
            </ul>
            <ul class="nav navbar-nav menu-zone menu-cut ml-auto d-none d-lg-block">
                <li class="nav-item active btn" id="rca-title">
                    <%= "RCA #{@rca.long_title}" %> <br>
                    <%= helper_advance_rca_show(@rca) %>
                </li>
            </ul>

            <ul class="nav navbar-nav ml-auto menu-zone" style='flex-direction:row;'>
                <%= render partial: 'layouts/menu_sub_user' %>
                <%= render partial: 'layouts/menu_sub_language' %>
                <li class='nav-item'>
                    <%= link_to fa_icon('question-circle', class: 'icon-blue'), '#', class: 'btn' %>
                </li>
            </ul>
        </div>
    </div>
</div>
